Bug 1296519 - missing packages after pip install -r requirements.txt
missing packages after pip install -r requirements.txt
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: David Kranz
tkammer
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 07:25 EST by Eran Kuris
Modified: 2016-05-20 06:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 06:11:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pip.log for Missing Module (1.66 MB, text/x-vhdl)
2016-01-21 10:23 EST, Yariv
no flags Details
rpm-list (54.41 KB, text/plain)
2016-01-21 10:26 EST, Yariv
no flags Details
pip list (876 bytes, text/plain)
2016-01-21 10:27 EST, Yariv
no flags Details

  None (edit)
Description Eran Kuris 2016-01-07 07:25:14 EST
Description of problem:
getting error that missing packages after installed  pip install -r requirements.txt
(Tempest_run)[stack@instack tempest]$ python tools/config_tempest.py --create --debug --image http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-disk.img identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD --deployer-input /home/stack/tempest-deployer-input.conf  --network-id 2356217a-3dfa-4b80-9c5b-77cfe847b3ff
Traceback (most recent call last):
  File "tools/config_tempest.py", line 45, in <module>
    import tempest_lib.auth
  File "/home/stack/Tempest_run/lib/python2.7/site-packages/tempest_lib/auth.py", line 21, in <module>
    from oslo_log import log as logging
  File "/home/stack/Tempest_run/lib/python2.7/site-packages/oslo_log/log.py", line 50, in <module>
    from oslo_log import formatters
  File "/home/stack/Tempest_run/lib/python2.7/site-packages/oslo_log/formatters.py", line 24, in <module>
    from oslo_context import context as context_utils
ImportError: No module named oslo_context

Version-Release number of selected component (if applicable):

latested tempest version
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Attila Fazekas 2016-01-21 02:10:57 EST
python-oslo-log(1.11.0-1.el7ost) pulls python-oslo-context at the moment.

If you are still able to reproduce the issue, can you attache a 
'pip list' and a full rpm list like 'rpm -qa'  .

BTW, pip install under /  is not recommended/supported, you can consider using python-tox (or other venv manager) or installing stuff just for the current user (pip install --user) .
Comment 3 Eran Kuris 2016-01-21 02:20:31 EST
I cant try to reproduce it at this moment. a lot of other stuff to do . 
I know about the recommendation of tox but in our team we would like to work in this way.
Comment 4 Yariv 2016-01-21 08:40:13 EST
Hi 

I installed os-tempest8 on my linux laptop

Additional missing packages,

pip install babel
pip install oslo.context
pip install debtcollector
pip install monotonic
pip install Enum
pip install letsencrypt


Regards how to reproduce i will reinstall and send your the requested info
Comment 5 Yariv 2016-01-21 10:23 EST
Created attachment 1116961 [details]
pip.log for Missing Module
Comment 6 Yariv 2016-01-21 10:26 EST
Created attachment 1116962 [details]
rpm-list
Comment 7 Yariv 2016-01-21 10:27 EST
Created attachment 1116963 [details]
pip list
Comment 9 Eran Kuris 2016-03-13 03:13:26 EDT
I cloned downstream. In FYI in the latest versions when I used VENV I dont see the issue.

Note You need to log in before you can comment on or make changes to this bug.